Package org.eclipse.cdt.core.settings.model

# Class ACExclusionFilterEntry

java.lang.Object
org.eclipse.cdt.core.settings.model.ACSettingEntry
org.eclipse.cdt.core.settings.model.ACPathEntry
org.eclipse.cdt.core.settings.model.ACExclusionFilterEntry

All Implemented Interfaces:
  `ICExclusionPatternPathEntry`, `ICPathEntry`, `ICSettingEntry`

Direct Known Subclasses:
  `COutputEntry`, `CSourceEntry`

public abstract class ACExclusionFilterEntry extends ACPathEntry implements ICExclusionPatternPathEntry

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`contentsToString()`
`boolean`
`equals(Object obj)`
`boolean`
`equalsByContents(ICSettingEntry entry)`
`char[][]`
`fullExclusionPatternChars()`
Returns a char based representation of the exclusions patterns full path.
`org.eclipse.core.runtime.IPath[]`
`getExclusionPatterns()`
Returns the exclusion patterns
`int`
`hashCode()`
`final boolean`
`isFile()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACPathEntry

`fullPathForLocation, getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACSettingEntry

`checkFlags, codeForContentsKey, codeForNameKey, equalsByName, getByNameMatchFlags, getFlags, getName, getValue, isBuiltIn, isReadOnly, isResolved, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`

## Method Details

### isFile

public final boolean isFile()

Specified by:
  `isFile` in class `ACPathEntry`
Since:
  5.4

### getExclusionPatterns

public org.eclipse.core.runtime.IPath[] getExclusionPatterns()
Returns the exclusion patterns

Specified by:
  `getExclusionPatterns` in interface `ICExclusionPatternPathEntry`
Returns:
  IPath[]

### fullExclusionPatternChars

public char[][] fullExclusionPatternChars()
Returns a char based representation of the exclusions patterns full path.

Specified by:
  `fullExclusionPatternChars` in interface `ICExclusionPatternPathEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ACSettingEntry`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ACSettingEntry`

### equalsByContents

public boolean equalsByContents(ICSettingEntry entry)

Specified by:
  `equalsByContents` in interface `ICSettingEntry`
Overrides:
  `equalsByContents` in class `ACSettingEntry`

### contentsToString

protected String contentsToString()

Overrides:
  `contentsToString` in class `ACPathEntry`